Update pipeline preview settings
Update the preview stage configuration for a pipeline. You can change the auto-create behavior, stale app cleanup settings, or switch the connected Git repository.
curl --request PUT \
--url https://api.sevalla.com/v3/pipelines/{id}/preview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"repo_url": "https://github.com/user/repo",
"auto_create_app": true,
"delete_stale_apps": true,
"stale_app_days": 7
}
'import requests
url = "https://api.sevalla.com/v3/pipelines/{id}/preview"
payload = {
"repo_url": "https://github.com/user/repo",
"auto_create_app": True,
"delete_stale_apps": True,
"stale_app_days": 7
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
repo_url: 'https://github.com/user/repo',
auto_create_app: true,
delete_stale_apps: true,
stale_app_days: 7
})
};
fetch('https://api.sevalla.com/v3/pipelines/{id}/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Pipeline preview settings updated"
}{
"message": "Bad request",
"status": 400,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Unauthorized",
"status": 401,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Forbidden",
"status": 403,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Not found",
"status": 404,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Too many requests",
"status": 429,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}{
"message": "Internal Server Error",
"status": 500,
"data": {
"code": "err-abc-123",
"message": "If you need assistance, please contact support and provide this error code."
}
}Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Path Parameters
Pipeline identifier
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"fb5e5168-4281-4bec-94c5-0d1584e9e657"
Body
Git repository URL. When provided and different from the current repository, the pipeline switches to the new repository.
"https://github.com/user/repo"
Automatically create a preview app when a pull request is opened
true
Automatically delete preview apps that have not been deployed for longer than the stale app threshold
true
Number of days after the last deployment before a preview app is considered stale
1 <= x <= 3657
Response
Default Response
Confirmation message
"Pipeline preview settings updated"
Was this page helpful?
